---
type: api
title: Isolate an endpoint
description: Isolate an endpoint from the network.
url: https://www.elastic.co/docs/api/doc/kibana/v8/operation/operation-endpointisolateredirect
resource: https://www.elastic.co/docs/api/doc/kibana/v8/operation/operation-endpointisolateredirect
products:
  - Kibana
---

# Isolate an endpoint

deprecated

Authentication: required

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/endpoint/isolate`
- `POST` `/s/{space_id}/api/endpoint/isolate`

#### Path parameters

- `space_id` (string) — optional
  An identifier for the space. If `space_id` is not provided in the URL, the default space is used. Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

## Description

Isolate an endpoint from the network.
> info
> This URL will return a 308 permanent redirect to `POST <kibana host>:<port>/api/endpoint/action/isolate`.

## Request body

`application/json`

- `agent_type` (enum) — optional
  List of agent types to retrieve. Defaults to `endpoint`.
  Values: `endpoint`, `sentinel_one`, `crowdstrike`, `microsoft_defender_endpoint`
- `alert_ids` (string[] · format: nonempty · min items: 1) — optional
  A list of alerts ids.
- `case_ids` (string[] · min items: 1) — optional
  Case IDs to be updated (cannot contain empty strings)
- `comment` (string) — optional
  Optional comment
- `endpoint_ids` (string[] · min items: 1) — required
  List of endpoint IDs (cannot contain empty strings)
- `parameters` (object) — optional
  Optional parameters object

## Responses

#### `200`

OK

`application/json`

Type: `object`

#### `308`

Permanent Redirect

##### Response headers

- `Location` (string)
  Permanently redirects to "/api/endpoint/action/isolate"

## Code examples

#### Console

```console
POST kbn:/api/endpoint/isolate
{
  "endpoint_ids": [
    "endpoint-id-1",
    "endpoint-id-2"
  ]
}
```

#### curl

```curl
curl -X POST "${KIBANA_URL}/api/endpoint/isolate" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
    "endpoint_ids": [
      "endpoint-id-1",
      "endpoint-id-2"
    ]
  }'
```

## Response examples

#### 200

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{}
```

